This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 462023

Summary: Cannot pxeboot kvm guest
Product: [Fedora] Fedora Reporter: Kevin Constantine <kevin.constantine>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: berrange, clalance, katzj
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:45:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kevin Constantine 2008-09-11 19:29:48 EDT
Description of problem:
KVM is set up on a Fedora 8 host.  When I attempt to pxeboot a guest, I see "Searching for server (DHCP)....No IP address
.No IP address
.No IP address
...

I have set up bridging between the physical host and vnet0.  I can see from the dhcp server's logs that it receives a DHCPREQUEST, it makes a DHCPOFFER, and never receives the DHCPREQUEST.

a tcpdump on the bridge device reveals a request packet, and an offer packet coming back to the guest domain.  a tcpdump on vnet0 reveals the same.

If I build a guest using an iso file, I am able to get a dhcp address.

Version-Release number of selected component (if applicable):
qemu-0.9.1-6.fc9
kvm-65-7.fc9
libvirt-python-0.4.4-2.fc8
libvirt-0.4.4-2.fc8


How reproducible:
always

Steps to Reproduce:
1.  Create a kvm guest, set it to pxe boot.
2.
3.
  
Actual results:
The guest never gets a DHCP address

Expected results:
The guest gets a DHCP address

Additional info:
Comment 1 Bug Zapper 2008-11-26 06:08:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:45:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.